Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.config
Class NoSuchEntryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.jini.config.ConfigurationException
                  net.jini.config.NoSuchEntryException

All Implemented Interfaces:
  Serializable

public class NoSuchEntryException
extends ConfigurationException

Thrown when an attempt to obtain an object from a `Configuration` does not find a matching entry.

Since:
  2.0
See Also:
  `Configuration.getEntry`, Serialized Form

Constructor Summary
`NoSuchEntryException(String s)` Creates an instance with the specified detail message.
`NoSuchEntryException(String s, Throwable t)` Creates an instance with the specified detail message and causing exception, which should not be an instance of `Error`.

Methods inherited from class net.jini.config.ConfigurationException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchEntryException

    public NoSuchEntryException(String s)

  Creates an instance with the specified detail message.

Parameters:
  `s` - the detail message

### NoSuchEntryException

    public NoSuchEntryException(String s,
                                Throwable t)

  Creates an instance with the specified detail message and causing exception, which should not be an instance of `Error`.

Parameters:
  `s` - the detail message
  `t` - the causing exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved